ru.bitel.oss.systems.inventory.resource.server.bean

## Class DevicePortSubscriptionDao

- java.lang.Object
- - ru.bitel.common.dao.AbstractDao<DevicePortSubscription>
  - - ru.bitel.oss.systems.inventory.resource.server.bean.DevicePortSubscriptionDao

- All Implemented Interfaces:
    java.lang.AutoCloseable

      public class DevicePortSubscriptionDao
      extends ru.bitel.common.dao.AbstractDao<DevicePortSubscription>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

      `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

  - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.dao.AbstractDao

      `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, logger, mid, moduleId, orderByPattern, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_LIMIT, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_WHERE, tableName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DevicePortSubscriptionDao(java.sql.Connection con, int mid)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `deleteBySubscriberId(int subscriberId)`
    `DevicePortSubscription` | `get(int deviceId, int port, java.util.Date now)`
    `protected DevicePortSubscription` | `getFromRS(java.sql.ResultSet rs)`
    `java.util.List<DevicePortSubscription>` | `list(int deviceId, int port, java.util.Date dateFrom, java.util.Date dateTo)`
    `Result<DevicePortSubscription>` | `list(int deviceId, int port, java.util.Date dateFrom, java.util.Date dateTo, Page page)`
    `protected void` | `updateImpl(DevicePortSubscription b)` Этот метод каждый реализует сам со своей логикой.

    - ### Methods inherited from class ru.bitel.common.dao.AbstractDao

      `close, delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getSQLOrder, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, processException, recycle, setStatementParam, update`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DevicePortSubscriptionDao

          public DevicePortSubscriptionDao(java.sql.Connection con,
                                           int mid)

  - ### Method Detail

    - #### getFromRS

          protected DevicePortSubscription getFromRS(java.sql.ResultSet rs)
                                              throws java.sql.SQLException,
                                                     ru.bitel.bgbilling.common.BGException

      Specified by:
        `getFromRS` in class `ru.bitel.common.dao.AbstractDao<DevicePortSubscription>`
      Throws:
        `java.sql.SQLException`
        `ru.bitel.bgbilling.common.BGException`

    - #### updateImpl

          protected void updateImpl(DevicePortSubscription b)
                             throws ru.bitel.bgbilling.common.BGException,
                                    java.sql.SQLException

      Description copied from class: `ru.bitel.common.dao.AbstractDao`
      Этот метод каждый реализует сам со своей логикой.
      Для обновления вызывать update.
      Specified by:
        `updateImpl` in class `ru.bitel.common.dao.AbstractDao<DevicePortSubscription>`
      Parameters:
        `b` - экземпляр модели
      Throws:
        `ru.bitel.bgbilling.common.BGException` - ошибки
        `java.sql.SQLException` - ошибки

    - #### list

          public java.util.List<DevicePortSubscription> list(int deviceId,
                                                             int port,
                                                             java.util.Date dateFrom,
                                                             java.util.Date dateTo)
                                                      throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### list

          public Result<DevicePortSubscription> list(int deviceId,
                                                     int port,
                                                     java.util.Date dateFrom,
                                                     java.util.Date dateTo,
                                                     Page page)
                                              throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### deleteBySubscriberId

          public int deleteBySubscriberId(int subscriberId)
                                   throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### get

          public DevicePortSubscription get(int deviceId,
                                            int port,
                                            java.util.Date now)
                                     throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`